使用 Flash Player 11 播放受保護影片內容時,Ubuntu 10.x 和 11.x Linux OS 使用者有時候會看見空白或全黑畫面。(例如,使用 Amazon Instant Video 等服務時會發生此問題)。這是因為未預設安裝缺少的 Ubuntu HAL (硬體抽象層) 模組所引起的問題。如果服務供應商發出錯誤訊息,使用者會看見 DRM 錯誤 3323 或 3322。

播放受保護內容的必要條件

如果是 Ubuntu 10.04 或之後版本,請確保您已先使用 apt-get 安裝硬體抽象層模組。
(注意「hal」安裝錯誤,因為安裝損壞的套件會持續繼續影片的播放)。

sudo apt-get install hal

「libhal」(HAL) 程式庫安裝完成後,請關閉瀏覽器,然後執行下列 Shell 命令清除 Adobe Access 目錄:

cd ~/.adobe/Flash_Player
rm -rf NativeCache AssetCache APSPrivateData2

註解:

如果缺少抽象層模組,Flash Player 仍可運作,但是無法播放需要 Adobe Flash Access DRM (數位版權管理) 模組的受保護內容。

特定的 Linux 64 位元版本支援

Adobe 已在 Flash Player 11 網站的系統需求區段發佈 32 位元和 64 位元 Linux 平台支援。目前的支援版本 (32 位元和 64 位元): Redhat Enterprise Linux 5.6 或之後版本,以及 Ubuntu 10.04 或之後版本。

也支援 openSuse。

安裝正確的 32 位元或 64 位元 Flash Player增效模組

導覽至 http://www.adobe.com/go/flashplayer_tw 安裝您的平台和架構適用的 Flash Player 最新版本。

如果不確定要安裝哪一組 Linux 套件,按一下使用其它作業系統或瀏覽器?即可看見其它更多 OS 選項。

openSuse 和其它 Linux 版本

部分 Linux 版本有管理套件的自我方式,像是常見的 openSUSE。openSUSE 使用 RPM 作為原生套件格式,但是其使用本身的高階工具來管理系統軟體安裝。 
openSuse (32 位元和 64 位元) 上安裝的 .rpm 不太穩定,有時候會發生「訊息未收到回覆 (訊息匯流排逾時)」的一般錯誤。

在此情況下,請改為下載 .tar.gz 封存檔,並將 Flash Player (libflashplayer.so) 移至以下位置:

/usr/lib/adobe-flashplugin/libflashplayer.so

使用示範播放器測試受保護影片內容的播放情況

  1. 啟動 Adobe 示範影片播放器容器:  http://drmtest2.adobe.com:8080/SVP/SampleVideoPlayer_FP.html
     
      請注意示範影片外圍左下角的 Adobe Flash Player 版本。請確保其顯示 11.2 或以上版本
       
  2. 播放受保護內容範例。
     
      在「輸入影片 URL」欄位中輸入下列 URL: (區分大小寫)
      http://drmtest2.adobe.com:8080/Content/anonymous.f4v
       
  3. 按一下影片容器底下的 [播放] 按鈕。

系統會播放 anonymous.f4v 受保護內容。(此影片的名稱為 Getty「火車」影片)。

 

影響的產品

Adobe Flash Player 11、Flash Access (FAXS)、Ubuntu 10.x 及 11.x Linux

此産品由 Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported License 授權  Creative Commons 條款未涵蓋 Twitter™ 與 Facebook 文章。

法律說明   |   線上隱私權政策